Loading...
Searching...
No Matches
AVDynamicHDRPlus Struct Reference

This struct represents dynamic metadata for color volume transform - application 4 of SMPTE 2094-40:2016 standard. More...

`#include <libavutil/hdr_dynamic_metadata.h>`

## Data Fields

uint8_t | itu_t_t35_country_code
| Country code by Rec.
uint8_t | application_version
| Application version in the application defining document in ST-2094 suite.
uint8_t | num_windows
| The number of processing windows.
AVHDRPlusColorTransformParams | params [3]
| The color transform parameters for every processing window.
AVRational | targeted_system_display_maximum_luminance
| The nominal maximum display luminance of the targeted system display, in units of 0.0001 candelas per square metre.
uint8_t | targeted_system_display_actual_peak_luminance_flag
| This flag shall be equal to 0 in bit streams conforming to this version of this Specification.
uint8_t | num_rows_targeted_system_display_actual_peak_luminance
| The number of rows in the targeted system_display_actual_peak_luminance array.
uint8_t | num_cols_targeted_system_display_actual_peak_luminance
| The number of columns in the targeted_system_display_actual_peak_luminance array.
AVRational | targeted_system_display_actual_peak_luminance [25][25]
| The normalized actual peak luminance of the targeted system display.
uint8_t | mastering_display_actual_peak_luminance_flag
| This flag shall be equal to 0 in bitstreams conforming to this version of this Specification.
uint8_t | num_rows_mastering_display_actual_peak_luminance
| The number of rows in the mastering_display_actual_peak_luminance array.
uint8_t | num_cols_mastering_display_actual_peak_luminance
| The number of columns in the mastering_display_actual_peak_luminance array.
AVRational | mastering_display_actual_peak_luminance [25][25]
| The normalized actual peak luminance of the mastering display used for mastering the image essence.

## Detailed Description

This struct represents dynamic metadata for color volume transform - application 4 of SMPTE 2094-40:2016 standard.

To be used as payload of a AVFrameSideData or AVPacketSideData with the appropriate type.

Note
  The struct should be allocated with av_dynamic_hdr_plus_alloc() and its size is not a part of the public ABI.

Definition at line 243 of file hdr_dynamic_metadata.h.

## Field Documentation

## itu_t_t35_country_code

uint8_t AVDynamicHDRPlus::itu_t_t35_country_code

Country code by Rec.

ITU-T T.35 Annex A. The value shall be 0xB5.

Definition at line 247 of file hdr_dynamic_metadata.h.

## application_version

uint8_t AVDynamicHDRPlus::application_version

Application version in the application defining document in ST-2094 suite.

The value shall be set to 0.

Definition at line 253 of file hdr_dynamic_metadata.h.

## num_windows

uint8_t AVDynamicHDRPlus::num_windows

The number of processing windows.

The value shall be in the range of 1 to 3, inclusive.

Definition at line 259 of file hdr_dynamic_metadata.h.

## params

AVHDRPlusColorTransformParams AVDynamicHDRPlus::params[3]

The color transform parameters for every processing window.

Definition at line 264 of file hdr_dynamic_metadata.h.

## targeted_system_display_maximum_luminance

AVRational AVDynamicHDRPlus::targeted_system_display_maximum_luminance

The nominal maximum display luminance of the targeted system display, in units of 0.0001 candelas per square metre.

The value shall be in the range of 0 to 10000, inclusive.

Definition at line 271 of file hdr_dynamic_metadata.h.

## targeted_system_display_actual_peak_luminance_flag

uint8_t AVDynamicHDRPlus::targeted_system_display_actual_peak_luminance_flag

This flag shall be equal to 0 in bit streams conforming to this version of this Specification.

The value 1 is reserved for future use.

Definition at line 277 of file hdr_dynamic_metadata.h.

## num_rows_targeted_system_display_actual_peak_luminance

uint8_t AVDynamicHDRPlus::num_rows_targeted_system_display_actual_peak_luminance

The number of rows in the targeted system_display_actual_peak_luminance array.

The value shall be in the range of 2 to 25, inclusive.

Definition at line 283 of file hdr_dynamic_metadata.h.

## num_cols_targeted_system_display_actual_peak_luminance

uint8_t AVDynamicHDRPlus::num_cols_targeted_system_display_actual_peak_luminance

The number of columns in the targeted_system_display_actual_peak_luminance array.

The value shall be in the range of 2 to 25, inclusive.

Definition at line 290 of file hdr_dynamic_metadata.h.

## targeted_system_display_actual_peak_luminance

AVRational AVDynamicHDRPlus::targeted_system_display_actual_peak_luminance[25][25]

The normalized actual peak luminance of the targeted system display.

The values should be in the range of 0 to 1, inclusive and in multiples of 1/15.

Definition at line 297 of file hdr_dynamic_metadata.h.

## mastering_display_actual_peak_luminance_flag

uint8_t AVDynamicHDRPlus::mastering_display_actual_peak_luminance_flag

This flag shall be equal to 0 in bitstreams conforming to this version of this Specification.

The value 1 is reserved for future use.

Definition at line 303 of file hdr_dynamic_metadata.h.

## num_rows_mastering_display_actual_peak_luminance

uint8_t AVDynamicHDRPlus::num_rows_mastering_display_actual_peak_luminance

The number of rows in the mastering_display_actual_peak_luminance array.

The value shall be in the range of 2 to 25, inclusive.

Definition at line 309 of file hdr_dynamic_metadata.h.

## num_cols_mastering_display_actual_peak_luminance

uint8_t AVDynamicHDRPlus::num_cols_mastering_display_actual_peak_luminance

The number of columns in the mastering_display_actual_peak_luminance array.

The value shall be in the range of 2 to 25, inclusive.

Definition at line 315 of file hdr_dynamic_metadata.h.

## mastering_display_actual_peak_luminance

AVRational AVDynamicHDRPlus::mastering_display_actual_peak_luminance[25][25]

The normalized actual peak luminance of the mastering display used for mastering the image essence.

The values should be in the range of 0 to 1, inclusive and in multiples of 1/15.

Definition at line 322 of file hdr_dynamic_metadata.h.

The documentation for this struct was generated from the following file:

- libavutil/hdr_dynamic_metadata.h